/*
   ; Braitenberg test
   ; ================

   ;------------------------------------------------------------------------
   ; Author:       Francesco Mondada.     The 18/06/92
   ; Modifs:
   ;
   ; Project:      KHEPERA
   ; Goal:         Test the Khepera by making some simple mvts
   ;
   ; This module is (c) of Francesco Mondada 1992-1999
   ; mondada@k-team.com
   ;
   ;------------------------------------------------------------------------
 */

#include <sys/kos.h>

int
main ()
{
  var_reset ();
  tim_reset ();

  var_on_led (1);		/* led 1 on */
  var_on_led (0);		/* led 0 on */

  tim_suspend_task (1000);
  var_off_led (1);
  var_off_led (0);


  mot_reset ();			/* initialize motors */

  mot_config_speed_1m (0, 3500, 800, 100);	/* init motor 0 */
  mot_config_speed_1m (1, 3500, 800, 100);	/* init motor 1 */

  mot_new_speed_1m (0, -6);
  mot_new_speed_1m (1, 6);

  return 0;
}
